import type { AccountId } from "./AccountId";
import type { AsyncResponse } from "./AsyncResponse";
import type { HttpUrl } from "./HttpUrl";
import type { ProcessedFilePath } from "./ProcessedFilePath";
import type { TransformationSummary } from "./TransformationSummary";
/**
 * Response body for ProcessFileAndSave.
 */
export declare type ProcessFileAndSaveResponse = {
    accountId: AccountId;
    basePath: ProcessedFilePath;
    /**
     * The `fileUrl` of the transformed file.
     *
     * See `basePath` for more information.
     *
     * We recommend saving the `basePath` to your database instead of the `baseUrl`.
     */
    baseUrl: HttpUrl;
    /**
     * This field is only present for asynchronous transformations.
     *
     * Contains information about the transformation job.
     *
     * You can use the GetJob operation with the information from the `job` field to check the transformation's status.
     */
    job?: AsyncResponse;
    /**
     * This field is only present when the `basePath` references a JSON file.
     *
     * Contains the contents of the file referenced by the `basePath`.
     */
    summary?: TransformationSummary;
};
